<?xml version="1.0" encoding="utf-8"?>
<log4net>
  <appender name="RollingFileAppender" type="log4net.Appender.RollingFileAppender">
    <!-- File log hiện tại -->
    <file value="../../logs/apis/full.log" />
    <appendToFile value="true" />
    <!-- Rolling theo ngày + size -->
    <rollingStyle value="Composite" />
    <datePattern value="dd_MM_yyyy'.log'" /> <!-- Hậu tố ngày -->
    <staticLogFileName value="true" /> <!-- File mới nhất luôn là full.log -->
    <!-- Giới hạn dung lượng -->
    <maximumFileSize value="10MB" />
    <maxSizeRollBackups value="30" />
    <!-- Format log -->
    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date %-5level %logger - %message%newline" />
    </layout>
  </appender>
  <appender name="console" type="log4net.Appender.ConsoleAppender">
    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date %level - %message%newline" />
    </layout>
    <threshold value="ALL" />
  </appender>
  <root>
    <level value="DEBUG" />
    <appender-ref ref="RollingFileAppender" />
    <appender-ref ref="console" />
  </root>
</log4net>